Subject: Re: [PATCH] skbuff: Fix a race between coalescing and releasing SKBs

From: Jakub Kicinski <[email-masked]>
Date: Thu, 6 Apr 2023 07:59:08 -0700

On Thu, 6 Apr 2023 19:54:23 +0800 Liang Chen wrote:
> > > Same feeling on my side.
> > > I prefer not trying to merge mixed pp_recycle skbs "just because we
> > > could" at the expense
> > > of adding more code in a fast path.  
> >
> > +1 here.  The intention of recycling was to affect the normal path as
> > less as possible.  On top of that, we've some amount of race
> > conditions over the years, trying to squeeze more performance with
> > similar tricks.  I'd much rather be safe here, since recycling by
> > itself is a great performance boost
> 
> Sorry, I didn't check my inbox before sending out the v2 patch.

I can discard v2 from patchwork, let's continue the conversation
here.

> Yeah, It is a bit complicated as we expected. The patch is sent out.
> Please take a look to see if it is the way to go, or We should stay
> with the current patch for simplicity reasons. Thanks!

Sounds like you know what Eric and Ilias agreed with, I'm a bit
confused.. are we basically going back to v1? (hopefully with coding
style fixed)